<?php

namespace App\Notifications;

use App\Channels\SMSChannel;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Morilog\Jalali\Jalalian;

class OrderRejected extends Notification
{
    use Queueable;

    private string $order_uuid;

    /**
     * Create a new notification instance.
     */
    public function __construct(string $order_uuid)
    {
        $this->order_uuid = $order_uuid;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['database', SMSChannel::class];
    }

    /**
     * Get the mail representation of the notification.
     */
    public function toMail(object $notifiable): void
    {
        //
    }

    /**
     * Get the sms representation of the notification.
     */
    public function toSMS(object $notifiable): void
    {
        //
    }

    /**
     * Get the array representation of the notification.
     *
     * @return array<string, mixed>
     */
    public function toArray(object $notifiable): array
    {
        $message = __('messages.notification_order_rejected', ['order_id' => $this->order_uuid]);

        return [
            'message' => $message,
            'date' => Jalalian::now()->format('H:i - Y/m/d'),
        ];
    }
}